/// AUTO GENERATED BY build.rs

use std::collections::HashMap;

use webrender_build::shader::ShaderVersion;

pub struct SourceWithDigest {
    pub source: &'static str,
    pub digest: &'static str,
}

pub struct OptimizedSourceWithDigest {
    pub vert_source: &'static str,
    pub frag_source: &'static str,
    pub digest: &'static str,
}

lazy_static! {
  pub static ref UNOPTIMIZED_SHADERS: HashMap<&'static str, SourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert("base", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/base.glsl"), digest: "b14895de76d4a441"});
    shaders.insert("brush", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/brush.glsl"), digest: "d0587eac620f5bc0"});
    shaders.insert("brush_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/brush_blend.glsl"), digest: "819a003474f802a9"});
    shaders.insert("brush_conic_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/brush_conic_gradient.glsl"), digest: "17d5f2d06a051ef9"});
    shaders.insert("brush_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/brush_image.glsl"), digest: "8ffe606cd0704123"});
    shaders.insert("brush_linear_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/brush_linear_gradient.glsl"), digest: "f856d35490d8bc"});
    shaders.insert("brush_mix_blend", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/brush_mix_blend.glsl"), digest: "6c90c1e88e2bcbe3"});
    shaders.insert("brush_opacity", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/brush_opacity.glsl"), digest: "ff49e17fcdb3b3b7"});
    shaders.insert("brush_radial_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/brush_radial_gradient.glsl"), digest: "644d180371b50b94"});
    shaders.insert("brush_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/brush_solid.glsl"), digest: "d87546caf5436fcd"});
    shaders.insert("brush_yuv_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/brush_yuv_image.glsl"), digest: "c9bf02864b06267d"});
    shaders.insert("clip_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/clip_shared.glsl"), digest: "285fa2928ebba3d6"});
    shaders.insert("composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/composite.glsl"), digest: "42b8fee7946ba04f"});
    shaders.insert("cs_blur", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/cs_blur.glsl"), digest: "d085372adb0a3c96"});
    shaders.insert("cs_border_segment", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/cs_border_segment.glsl"), digest: "5089d8c68b1c4608"});
    shaders.insert("cs_border_solid", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/cs_border_solid.glsl"), digest: "ca7b8d1157140e15"});
    shaders.insert("cs_clip_box_shadow", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/cs_clip_box_shadow.glsl"), digest: "f90a7d5836263d9d"});
    shaders.insert("cs_clip_image", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/cs_clip_image.glsl"), digest: "49e10915b56254cc"});
    shaders.insert("cs_clip_rectangle", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/cs_clip_rectangle.glsl"), digest: "580236eeaf9e643"});
    shaders.insert("cs_gradient", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/cs_gradient.glsl"), digest: "b3b998fa18fb1ca7"});
    shaders.insert("cs_line_decoration", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/cs_line_decoration.glsl"), digest: "72cccc4e9b216d28"});
    shaders.insert("cs_scale", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/cs_scale.glsl"), digest: "aa27adeba645c1bb"});
    shaders.insert("cs_svg_filter", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/cs_svg_filter.glsl"), digest: "4f34879146b3262e"});
    shaders.insert("debug_color", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/debug_color.glsl"), digest: "7a198e480f9ba076"});
    shaders.insert("debug_font", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/debug_font.glsl"), digest: "20a0115c52086246"});
    shaders.insert("ellipse", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/ellipse.glsl"), digest: "e254e21d32e6cf5c"});
    shaders.insert("gpu_cache", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/gpu_cache.glsl"), digest: "a2bac6d1bcff1991"});
    shaders.insert("gpu_cache_update", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/gpu_cache_update.glsl"), digest: "810e56579bee2fad"});
    shaders.insert("gradient_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/gradient_shared.glsl"), digest: "712f69945d74def8"});
    shaders.insert("pf_vector_cover", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/pf_vector_cover.glsl"), digest: "44b4a77e4cbd1e91"});
    shaders.insert("pf_vector_stencil", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/pf_vector_stencil.glsl"), digest: "3052fd611b2855b5"});
    shaders.insert("prim_shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/prim_shared.glsl"), digest: "44c05762e30bfe3e"});
    shaders.insert("ps_clear", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/ps_clear.glsl"), digest: "7d0345361bf3a6d0"});
    shaders.insert("ps_split_composite", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/ps_split_composite.glsl"), digest: "ef2f70e3e9276af8"});
    shaders.insert("ps_text_run", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/ps_text_run.glsl"), digest: "5c3addd23227d80a"});
    shaders.insert("rect", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/rect.glsl"), digest: "f76a75fecfd22688"});
    shaders.insert("render_task", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/render_task.glsl"), digest: "962a4083be1b63d0"});
    shaders.insert("shared", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/shared.glsl"), digest: "e5555356f0fff8c9"});
    shaders.insert("shared_other", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/shared_other.glsl"), digest: "9f6298a27dfe79c6"});
    shaders.insert("transform", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/transform.glsl"), digest: "444c30f931d923a1"});
    shaders.insert("yuv", SourceWithDigest { source: include_str!("/builddir/build/BUILD/firefox-86.0/gfx/wr/webrender/res/yuv.glsl"), digest: "f52324f76cbfbfa6"});
    shaders
  };

  pub static ref OPTIMIZED_SHADERS: HashMap<(ShaderVersion, &'static str), OptimizedSourceWithDigest> = {
    let mut shaders = HashMap::new();
    shaders.insert((ShaderVersion::Gl, "brush_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_blend_Gl.frag"),
        digest: "fceed95ce03df126",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_blend_ALPHA_PASS_Gl.frag"),
        digest: "46da829620deb8f3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "38643dece9429e71",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_conic_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_conic_gradient_Gl.frag"),
        digest: "12b5ea32372bce66",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_conic_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_conic_gradient_ALPHA_PASS_Gl.frag"),
        digest: "15f379349dc8db44",
    });
    shaders.insert((ShaderVersion::Gl, "brush_conic_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_conic_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_conic_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "b5e03da1947d8cfe",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "d2b85b8064ec94f7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "328350fd039b0208",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "48b6141f7e08eb4f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "a2861b3516f2e3bf",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "b7afaf45cca3b1f3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ADVANCED_BLEND_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "4425abc24a8b5e4c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "a6de2d7d2751ac5c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "b13362c0d6139764",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_DUAL_SOURCE_BLENDING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "29ffbbe1679d5f90",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "dfbe5ac4512ecdb8",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "a32ddabbe835a61f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "2ed2974633cee18",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "cb0622a0923816b0",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "811f77a705958dbe",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_RECT_Gl.frag"),
        digest: "e9b3cf7ead849bdb",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "1b84210a81ef512d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "c7d598910de3058d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ALPHA_PASS_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ALPHA_PASS_TEXTURE_RECT_Gl.frag"),
        digest: "f2be2f1efcd1177f",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "6256a56f9b0757fe",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "27396e5d0ced7514",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_DEBUG_OVERDRAW_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "3a295ee4852a3e8e",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_Gl.frag"),
        digest: "e107f913c0816453",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "b5766746dba09c89",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_ANTIALIASING_REPETITION_TEXTURE_RECT_Gl.frag"),
        digest: "5231cfced06c0072",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "7ee5bafd9bb3343b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "57957b6e1b464334",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_DEBUG_OVERDRAW_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_DEBUG_OVERDRAW_TEXTURE_RECT_Gl.frag"),
        digest: "897c072ea81f2607",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_TEXTURE_2D_Gl.frag"),
        digest: "745508a00566d60d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "9e2e757fe4050737",
    });
    shaders.insert((ShaderVersion::Gl, "brush_image_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_image_TEXTURE_RECT_Gl.frag"),
        digest: "910c4b1eb91ef9b1",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_linear_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_linear_gradient_Gl.frag"),
        digest: "77bbb5e34c1ab7f1",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_linear_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_linear_gradient_ALPHA_PASS_Gl.frag"),
        digest: "ad72498605f1cab1",
    });
    shaders.insert((ShaderVersion::Gl, "brush_linear_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_linear_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "85372224992e85ab",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_mix_blend_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_mix_blend_Gl.frag"),
        digest: "92a93c16eae4d33d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_mix_blend_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_mix_blend_ALPHA_PASS_Gl.frag"),
        digest: "f7af6be054b83df7",
    });
    shaders.insert((ShaderVersion::Gl, "brush_mix_blend_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_mix_blend_DEBUG_OVERDRAW_Gl.frag"),
        digest: "2ace2c19d35cd55d",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_Gl.frag"),
        digest: "1499adf41512c8b2",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_ALPHA_PASS_Gl.frag"),
        digest: "1dae5144ab459ec5",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ALPHA_PASS_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_ALPHA_PASS_ANTIALIASING_Gl.frag"),
        digest: "a82549f21d06ddbf",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_ANTIALIASING_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_ANTIALIASING_Gl.frag"),
        digest: "84ea9ba806906a36",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_ANTIALIASING_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_ANTIALIASING_DEBUG_OVERDRAW_Gl.frag"),
        digest: "2bf09edce68964",
    });
    shaders.insert((ShaderVersion::Gl, "brush_opacity_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_opacity_DEBUG_OVERDRAW_Gl.frag"),
        digest: "7b4c5f5a27d05727",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_radial_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_radial_gradient_Gl.frag"),
        digest: "acad9a5c8386736",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_radial_gradient_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_radial_gradient_ALPHA_PASS_Gl.frag"),
        digest: "fe243c207bece2db",
    });
    shaders.insert((ShaderVersion::Gl, "brush_radial_gradient_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_radial_gradient_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_radial_gradient_DEBUG_OVERDRAW_Gl.frag"),
        digest: "feb987b4b20696f9",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_solid_Gl.frag"),
        digest: "57f520fe4eaeabed",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_ALPHA_PASS"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_solid_ALPHA_PASS_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_solid_ALPHA_PASS_Gl.frag"),
        digest: "99d49616a756033b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_solid_DEBUG_OVERDRAW"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_solid_DEBUG_OVERDRAW_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_solid_DEBUG_OVERDRAW_Gl.frag"),
        digest: "a552bdd4e0c32355",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_2D_ARRAY_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_ARRAY_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_ARRAY_YUV_Gl.frag"),
        digest: "c2677089c7ef513b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_ALPHA_PASS_TEXTURE_2D_YUV_Gl.frag"),
        digest: "4437554008ea970c",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_ALPHA_PASS_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "67f9e28bfff411df",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_ARRAY_YUV_Gl.frag"),
        digest: "88c3b5b94f4005a3",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_2D_YUV_Gl.frag"),
        digest: "b447f613165bb94b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_DEBUG_OVERDRAW_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "2138bd4fb093227b",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_2D_ARRAY_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_TEXTURE_2D_ARRAY_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_TEXTURE_2D_ARRAY_YUV_Gl.frag"),
        digest: "f4105afe4e047973",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_TEXTURE_2D_YUV_Gl.frag"),
        digest: "ab40f7e46892b058",
    });
    shaders.insert((ShaderVersion::Gl, "brush_yuv_image_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/brush_yuv_image_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "8187777affd1f005",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_2D_Gl.frag"),
        digest: "735e8fd876514e64",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "1100b60cb0ac8f8d",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_ARRAY_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_2D_ARRAY_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_2D_ARRAY_YUV_Gl.frag"),
        digest: "6972e6203f05152e",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_2D_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_2D_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_2D_YUV_Gl.frag"),
        digest: "3a34a9060a4300c1",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_RECT_Gl.frag"),
        digest: "9ec7eb5a4538cf9a",
    });
    shaders.insert((ShaderVersion::Gl, "composite_TEXTURE_RECT_YUV"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_RECT_YUV_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/composite_TEXTURE_RECT_YUV_Gl.frag"),
        digest: "a03a6c9879d458a4",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_ALPHA_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_blur_ALPHA_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_blur_ALPHA_TARGET_Gl.frag"),
        digest: "506717092ba0e6d",
    });
    shaders.insert((ShaderVersion::Gl, "cs_blur_COLOR_TARGET"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_blur_COLOR_TARGET_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_blur_COLOR_TARGET_Gl.frag"),
        digest: "8a0427573e0fbf7d",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_segment"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_border_segment_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_border_segment_Gl.frag"),
        digest: "c491e09ff05aac4c",
    });
    shaders.insert((ShaderVersion::Gl, "cs_border_solid"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_border_solid_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_border_solid_Gl.frag"),
        digest: "739026afd1ef70e1",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_box_shadow_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_clip_box_shadow_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_clip_box_shadow_TEXTURE_2D_Gl.frag"),
        digest: "8762609e8c3ffdfb",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_image_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_clip_image_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_clip_image_TEXTURE_2D_Gl.frag"),
        digest: "2f192a1364631bec",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_clip_rectangle_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_clip_rectangle_Gl.frag"),
        digest: "4b52346239b74377",
    });
    shaders.insert((ShaderVersion::Gl, "cs_clip_rectangle_FAST_PATH"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_clip_rectangle_FAST_PATH_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_clip_rectangle_FAST_PATH_Gl.frag"),
        digest: "cd4c3860cfd97321",
    });
    shaders.insert((ShaderVersion::Gl, "cs_gradient"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_gradient_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_gradient_Gl.frag"),
        digest: "7713c41d03e3256c",
    });
    shaders.insert((ShaderVersion::Gl, "cs_line_decoration"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_line_decoration_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_line_decoration_Gl.frag"),
        digest: "477f8714ec64fc77",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_scale_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_scale_TEXTURE_2D_Gl.frag"),
        digest: "2f7aebe1a84b5e",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_2D_ARRAY"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_scale_TEXTURE_2D_ARRAY_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_scale_TEXTURE_2D_ARRAY_Gl.frag"),
        digest: "5acdf1c550af6029",
    });
    shaders.insert((ShaderVersion::Gl, "cs_scale_TEXTURE_RECT"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_scale_TEXTURE_RECT_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_scale_TEXTURE_RECT_Gl.frag"),
        digest: "b46155c6c14927d1",
    });
    shaders.insert((ShaderVersion::Gl, "cs_svg_filter"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_svg_filter_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/cs_svg_filter_Gl.frag"),
        digest: "8a30b5ff263e141a",
    });
    shaders.insert((ShaderVersion::Gl, "debug_color"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/debug_color_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/debug_color_Gl.frag"),
        digest: "f458fe7ea40bd77e",
    });
    shaders.insert((ShaderVersion::Gl, "debug_font"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/debug_font_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/debug_font_Gl.frag"),
        digest: "503ec56c19b6bd2c",
    });
    shaders.insert((ShaderVersion::Gl, "ps_clear"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_clear_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_clear_Gl.frag"),
        digest: "e696a5e94c11171b",
    });
    shaders.insert((ShaderVersion::Gl, "ps_split_composite"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_split_composite_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_split_composite_Gl.frag"),
        digest: "116f0b31bdbf865c",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "f0bfa3e4590733e2",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_ALPHA_PASS_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "cd354a840020d0d4",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_ALPHA_PASS_GLYPH_TRANSFORM_TEXTURE_2D_Gl.frag"),
        digest: "7ad2b55a7a40fd8e",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_ALPHA_PASS_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_ALPHA_PASS_TEXTURE_2D_Gl.frag"),
        digest: "fd04855fb4deab06",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_DEBUG_OVERDRAW_DUAL_SOURCE_BLENDING_TEXTURE_2D_Gl.frag"),
        digest: "fdde1875d650b8aa",
    });
    shaders.insert((ShaderVersion::Gl, "ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D"), OptimizedSourceWithDigest {
        vert_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.vert"),
        frag_source: include_str!("/builddir/build/BUILD/firefox-86.0/objdir/aarch64-unknown-linux-gnu/release/build/webrender-0fc79352b50fc7e1/out/ps_text_run_DEBUG_OVERDRAW_TEXTURE_2D_Gl.frag"),
        digest: "6574679ef656f5dc",
    });
    shaders
  };
}
